Summary:          A program to relay UDP packets
Name:             udprelay
Version:          1.0
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            Applications/Internet
Source0:          http://www.bratch.co.uk/%{name}/files/%{name}-%{version}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Patch0:           %{name}-1.0-build.patch
URL:              http://www.bratch.co.uk/%{name}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Luke Bratch <l_bratch@yahoo.co.uk>
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service


%description
Udprelay binds to the specified address and port and retransmits all received
UDP packets to the specified destination address(es) and port, with modified
headers to reflect the new target.


%prep
%setup -q
%patch0 -p1


%build
%{__make} %{?_smp_mflags} \
	CC="%{__cc} ${RPM_OPT_FLAGS}"


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}

%{__install} -m 0755 %{name}    ${RPM_BUILD_ROOT}%{_sbindir}

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}


%changelog
* Sun May 27 2012 Peter Pramberger <peterpramb@member.fsf.org> - 1.0-1
- Initial build
